Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.webservice
Class HL7WSClientApplicationImpl

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
          com.stc.connector.tcpip.hl7.webservice.HL7WSClientApplicationImpl

Direct Known Subclasses:
  HL7WSServerApplicationImpl

    public class HL7WSClientApplicationImpl

extends TCPIPWSClientApplicationImpl

This class implements the HL7 client web-services operations.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2005/09/03 06:28:41 $
Author:
  Harry Liu

Field Summary
`protected HL7AppMessageImpl` | `hl7AppMessage`
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
`application, message`

Constructor Summary
`HL7WSClientApplicationImpl()` Default constructor.

Method Summary
`protected java.lang.Object` | `commonComein(java.lang.Object container)` Method commonReturn.
`java.lang.Object` | `generateAcceptAckMessage(java.lang.Object container)`
`java.lang.Object` | `generateCannedNakMessage(java.lang.Object container)`
`java.lang.Object` | `generateErrorAckMessage(java.lang.Object container)`
`java.lang.Object` | `generateRejectAckMessage(java.lang.Object container)`
`java.lang.Object` | `loadSequenceNumber(java.lang.Object container)`
`java.lang.Object` | `receive(java.lang.Object container)`
`java.lang.Object` | `send(java.lang.Object container)`
`java.lang.Object` | `storeSequenceNumber(java.lang.Object container)`

Methods inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
`closeConnection, commonFault, commonReturn, receiveBytes, receiveString, requestConnection, sendBytes, sendString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### hl7AppMessage

    protected HL7AppMessageImpl hl7AppMessage

Constructor Detail

### HL7WSClientApplicationImpl

    public HL7WSClientApplicationImpl()

  Default constructor.

Method Detail

### commonComein

    protected java.lang.Object commonComein(java.lang.Object container)
                                     throws HL7WSException

  Description copied from class: `TCPIPWSClientApplicationImpl`
  Method commonReturn.

  Overrides:
    `commonComein` in class `TCPIPWSClientApplicationImpl`
  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `HL7WSException`
  See Also:
    `TCPIPWSClientApplicationImpl.commonComein(java.lang.Object)`

### send

    public java.lang.Object send(java.lang.Object container)
                          throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### receive

    public java.lang.Object receive(java.lang.Object container)
                             throws HL7WSException

  Overrides:
    `receive` in class `TCPIPWSClientApplicationImpl`
  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### loadSequenceNumber

    public java.lang.Object loadSequenceNumber(java.lang.Object container)
                                        throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### storeSequenceNumber

    public java.lang.Object storeSequenceNumber(java.lang.Object container)
                                         throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### generateAcceptAckMessage

    public java.lang.Object generateAcceptAckMessage(java.lang.Object container)
                                              throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### generateErrorAckMessage

    public java.lang.Object generateErrorAckMessage(java.lang.Object container)
                                             throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### generateRejectAckMessage

    public java.lang.Object generateRejectAckMessage(java.lang.Object container)
                                              throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

### generateCannedNakMessage

    public java.lang.Object generateCannedNakMessage(java.lang.Object container)
                                              throws HL7WSException

  Parameters:
    `container` -
  Returns:
  Throws:
    `HL7WSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD